play.mvc

## Class Router.ActionDefinition

- java.lang.Object
- - play.mvc.Router.ActionDefinition

- Enclosing class:
    Router

      public static class Router.ActionDefinition
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `action` FIXME - what is this? does it include the class and package?
    `java.util.Map<java.lang.String,java.lang.Object>` | `args` FIXME - are these the required args in the routing file, or the query string in a request?
    `java.lang.String` | `host` The domain/host name.
    `java.lang.String` | `method` The HTTP method, e.g.
    `boolean` | `star` Whether the route contains an astericks *.
    `java.lang.String` | `url` FIXME - what is this? does it include the domain?

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionDefinition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `absolute()`
    `Router.ActionDefinition` | `add(java.lang.String key, java.lang.Object value)`
    `Router.ActionDefinition` | `addRef(java.lang.String fragment)`
    `Router.ActionDefinition` | `remove(java.lang.String key)`
    `Router.ActionDefinition` | `secure()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### host

          public java.lang.String host

      The domain/host name.

    - #### method

          public java.lang.String method

      The HTTP method, e.g. "GET".

    - #### url

          public java.lang.String url

      FIXME - what is this? does it include the domain?

    - #### star

          public boolean star

      Whether the route contains an astericks *.

    - #### action

          public java.lang.String action

      FIXME - what is this? does it include the class and package?

    - #### args

          public java.util.Map<java.lang.String,java.lang.Object> args

      FIXME - are these the required args in the routing file, or the query string in a request?

  - ### Constructor Detail

    - #### ActionDefinition

          public ActionDefinition()

  - ### Method Detail

    - #### add

          public Router.ActionDefinition add(java.lang.String key,
                                             java.lang.Object value)

    - #### remove

          public Router.ActionDefinition remove(java.lang.String key)

    - #### addRef

          public Router.ActionDefinition addRef(java.lang.String fragment)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### absolute

          public void absolute()

    - #### secure

          public Router.ActionDefinition secure()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly